# Type alias AdapterOptions<A, N>

AdapterOptions<A, N>: {
[K in N]: {
name: K;
settings?: Meta.Pouch.Adapters.Generic.AdapterSettings<A, K>;
}
}[N]

#### Type Parameters

- #### A extends Meta.Pouch.Adapters.Generic.Adapters

- #### N extends Meta.Pouch.Adapters.Generic.AdapterName<A> = Meta.Pouch.Adapters.Generic.AdapterName<A>

- Defined in packages/db/src/meta/pouch/adapters/types.ts:46

Generated using TypeDoc